petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSegBufferCreate

create segmented buffer

### Synopsis

    PetscErrorCode PetscSegBufferCreate(size_t unitbytes,size_t expected,PetscSegBuffer *seg)

Not Collective

### Input Arguments

| unitbytes | - number of bytes that each entry will contain
| expected | - expected/typical number of entries

### Output Argument

seg -segmented buffer object

### See Also

PetscSegBufferGet(), PetscSegBufferExtractAlloc(), PetscSegBufferExtractTo(), PetscSegBufferExtractInPlace(), PetscSegBufferDestroy()

Level:developer
Location:src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages